Subject: Re: Problem with OPB access on 440GX and Linux 2.6.15

From: Gerhard Jaeger <[email-masked]>
Date: Mon, 9 Oct 2006 16:49:14 +0200

On Monday 09 October 2006 15:46, powerpc440 wrote:
> Hi everybody,
>=20
> I'm having a PPC440GX based board, based on Ocotea.
> On the board is a Xilinx CPLD chip, connected with OPB (On-Chip
> Peripheral Bus).
> Under U-Boot I can communicate =96 reading and writing, without any
> problems, but when the Linux kernel ones is loaded, then I'm getting
> error message: =93Bus error=94. This error message appears on reading or
> writing.
> How I can access the units, which are connected with OPB?
>=20
> There are the source code from the driver, that I use :
>=20
> static void io_addr =3D ioremap(0x48300000, 0x100000); /* allocate 1MB
> adress space */
> long value =3D readl(io_addr + 0x7000);
>=20
[SNIPSNAP]

Hi,

are you sure the address is correct?
This looks to me like the Ocotea FPGA address minus 0x100000000...
In that case use ioremap64().

HTH
Gerhard

=2D-=20
Gerhard Jaeger <[email-masked]>           =20
SYSGO AG                      Embedded and Real-Time Software
www.sysgo.com | www.elinos.com | www.pikeos.com | www.osek.de=20